# ======================================================================
#  $Id: GNUmakefile,v 1.7 2003/10/06 16:28:15 goiwai Exp $
#  $Name: CLDAQ-1-11-00 $
#  $Log: GNUmakefile,v $
#  Revision 1.7  2003/10/06 16:28:15  goiwai
#  *** empty log message ***
#
#  Revision 1.6  2003/09/17 10:01:01  goiwai
#  オフライン解析用のプログラムが増えたり減ったりしたことによる変更です.
#
#  Revision 1.5  2003/08/17 20:14:56  goiwai
#  OFFxxx.cc という名前のついたファイルを削除しました.
#
#  Revision 1.4  2003/07/30 16:14:40  goiwai
#  ファイルにコミットログをつけることにしました.
#
# ======================================================================
name := rs01
name += rs01view rs01vdcview
name += rs01OFFvdcview rs01OFFvdcview16 rs01OFFvdcview3x3
name += rs01OFFmsec rs01OFFmsec3x3
name += rs01OFFped
name += rs01OFFviewBPM
name += rs01OFFvdcdump rs01OFFvdcdump16
name += rs01OFFvsecview rs01OFFvsecview16 rs01OFFvsecview3x3

ifndef CLDAQ_INSTALL
  CLDAQ_INSTALL = ../../..
endif

CLDAQ_LIB_NAME = rs01

.PHONY: all

all: lib bin

include $(CLDAQ_INSTALL)/config/binmake.gmk

LDLIBS += $(shell root-config --libs)
CPPFLAGS += $(shell root-config --cflags)
